# Generated from o-inifile-4.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name o-inifile

Name: rubygem-%{gem_name}
Version: 4.0.0
Release: 1%{?dist}
Summary: INI file reader and writer
License: MIT
URL: https://github.com/p/o-inifile
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(bones) >= 3.8
# BuildRequires: rubygem(bones) < 4
# BuildRequires: rubygem(bones-git) >= 1.3
# BuildRequires: rubygem(bones-git) < 2
BuildArch: noarch

%description
IniFile is a pure ruby gem that can read and write most INI file formats.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/inifile.gemspec
%{gem_instdir}/test

%changelog
* Tue Sep 14 2021 mockbuilder - 4.0.0-1
- Initial package
